# CI/CD Component library

This project contains CI/CD components for common pipeline operations.
The components provided are explained below:

## container-build

This component uses kaniko to build a container and publish it to the project registry.
It has the following inputs:

| **Name**               | **Default Value** | **Description**                                            |
| ---------------------- | ----------------- | ---------------------------------------------------------- |
| `use_cache`            | `true`            | Determines if the kaniko build cache is used.              |
| `context`              | `"."`             | Folder to pass as build context.                           |
| `default_branch`       | `main`            | Default branch of the repo (is used to build latest from). |
| `build_merge_requests` | `true`            | If container images should be built for merge_requests.    |

Build arguments will be automatically parsed from `build-args` if it exists.
See [`build-args`](./build-args) for an example.
